Subject: Release of (perl) Mail::AutoFAQ module and user software
From: Tom Christiansen <[email-masked]>
Date: 14 Nov 1995 02:04:31 GMT
Newsgroups: comp.lang.perl.announce,comp.lang.perl.misc

With some trepidation but encouragement from kind and gentle individuals
whom I'd never have expected to want such a thing :-), I have released the
Mail::Auto_FAQ module.  You may pick it up in

    ftp://perl.com/pub/perl/ext/Mail_AutoFAQ-1.001.tar.gz 

It's an interesting set of programs for various reasons even if you aren't
going to use it to facilitate sending (simple but polite) faq messages,
including dbm-storage of multilevel datastructures.  It does not do
locking, though one could do that easily enough -- See my recent postings
on berkeley db locking.)

It should be extensible down to individual faq answers using a directory
structure.  It only sends private email; it doesn't post.  I even have a
point-and-click TK GUI i/f also, but am not ready to release it yet.

Here's the README.  Be good, now. :-)

--tom

This is a package to implement a benevolent and easy way to send polite
informational messages people.  There's one important rule, which is:

		    YOU HAVE TO BE NICE

Therefore, unlike normal perl freeware licenses, this one has one that
says that you may not modify the software to intentionally harass people.
It's not supposed to be abused.  Please honor any ban requests (to be
unmailable -- there's a tool that sets that) you receive.  Please don't
annoy people, and if you do, let's not don't tell them I wrote the
software.  :-)  Actually, such abuse of others will immediately terminate
your license to use this software, so don't do that.

We use dbm (could use any of them) to create a database file in your
$HOME/.autofaq dir that contains who's ever been sent what mail.  You
shouldn't need to modify anything, but see the config section in
Auto_FAQ.pm to enable a different style.

To install, besides typing make install, you must also mkdir ~/.autofaq/
and ~/.autofaq/FAQs as well.  Note that by default the installdir is set
to the system one.  The FAQs dir should contain simple text messages,
which may have subjects.  You should put a special .signature file in that
FAQs directory.  You may use the contents of the sample FAQs directory
from here if you'd like to, but if so, DON'T FORGET TO CHANGE THE
.signature TO MATCH YOUR OWN PLEASE!!!!  And don't you dare use more
than a total of four lines of signature. :-)

An environment variable $AUTOFAQ_DIR can overwrite the standard place, but
if you share this with others on your system, careful of dbm permissions.
It's actually good to share a standard system default directory -- that
way you minimize who autofaqs someone too often.  There are checks 
so you can't accidentally -- or even intentionally -- introduce never
ending mail loops, which would be a real pain.  Please don't do that.

    fqu		        send a faq to a user; 1st arg is file; 2nd arg
			    is which faq; if no 2nd arg, prompt.

    fqls		list the faq db, some or all users
    fqban		ban some or more mailings to one user, maybe FOREVER
    fqrm		reset user times; includes unbanning

    Auto_FAQ.pm		main library; you may only modify its config section.

    complete.tcsh	some completion and aliases for tcsh		
    rnmac		an rnmac to send a to-be-determined faq to 
			the currently read article

    FAQs		faq dir
	.signature	**** PLEASE CHANGE THIS ***

	    (sample faqs follow)

	clp-dead	dead comp.lang.perl newsgroup
	csh-faq		don't use csh to program
	cgi-metafaq     cgi meta faq
	ipc		perl ipc question
	mods		perl modules file
	pdsc		perl data struct cookbook
	perl-info	perl metafaq
	references	broken references threading
	sham		good times virus, dying kid, etc

	    (etc)

--tom

--
Tom Christiansen      Perl Consultant, Gamer, Hiker [email-masked]

     "Unix is simple, but it takes a genius to understand the simplicity."
					    --Dennis Ritchie